=== debian/changelog ===
aqsis (1.8.2-8) unstable; urgency=medium

  * d/tests/run-aqsis-examples-scenes: fix directory causing tests to fail

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 01 Jul 2017 00:10:53 +0200

aqsis (1.8.2-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Re-enabled Build-Deps on libqt4-dev and libqt4-opengl-dev to build
    again the binaries 'eqsl', 'pisql' and 'ptview'
  * d/patches:
    - add fix-ftbfs-qt4-moc.patch: to make possible to compile binaries
      using Qt4

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 29 Jun 2017 00:17:05 +0200

aqsis (1.8.2-6) unstable; urgency=medium

  * d/rules: remove unneeded override of dh_auto_build
  * Fixes for 'watch' file to detect the version correctly
  * Add tests for autopkgtest
    - run a simple "--help"
    - render different "features" and "scenes" from the package aqsis-examples

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Jun 2017 23:13:13 +0200

aqsis (1.8.2-5) unstable; urgency=medium

  * d/control: change "Suggests: aqsis-examples (= ${binary:Version})" for
    "(= ${source:Version})"
  * Switch to debhelper compat level v10
    - Upgrade dependency on debhelper versions
    - Remove "--parallel" in d/rules
  * Update Vcs-* fields for the newest recommended practices

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Sep 2016 20:41:59 +0200

aqsis (1.8.2-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes needed)
  * d/patches:
    - Added bug_ftbfs_811840.patch to fix FTBFS with GCC 6 (Closes: #811840)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 06 Aug 2016 10:51:33 +0100

aqsis (1.8.2-3) unstable; urgency=medium

  * d/patches:
    - Added 0001-Fix_FTBFS_against_OpenEXR.patch to fix FTBFS with newer
      openexr.  Thanks Mathieu Malaterre.  (Closes: #812519)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 31 Jan 2016 00:46:14 +0000

aqsis (1.8.2-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Remove from Build-Deps libqt4-dev and libqt4-opengl-dev.  The 'moc'
    preprocessor of Qt 4 cannot cope with syntax of the latest Boost 1.58
    now in unstable, and the upstream project does not contain any fix for
    this or support Qt5 yet.  This disables the binaries 'eqsl', 'pisql'
    and 'ptview'.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 27 Aug 2015 19:33:01 +0100

aqsis (1.8.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 25 Jun 2014 20:01:58 +0100
