=== debian/tests/control ===
Tests: run-aqsis-help, run-aqsis-examples-features, run-aqsis-examples-scenes
Depends: aqsis, aqsis-examples
